/emails/{emailId}/attachmentsList email attachments
Authentication
Bearer authentication is required for this operation.
Path parameters
emailIdrequiredstringEmail identifier.
Request examples
curl --request GET 'https://api.au.boundry.dev/emails/string/attachments' \
+ -H 'Authorization: Bearer $BOUNDRY_API_KEY' \
+200 response
Attachment metadata.
datarequiredarrayAttachment metadata.
content_typerequiredstringAttachment media type. Example: "application/pdf".
filenamerequiredstringOriginal attachment filename. Example: "invoice.pdf".
idrequiredstringAttachment identifier. Example: "msg_01j0example".
sizerequiredintegerAttachment size in bytes. Example: 1234.
{
"emailId": "msg_01j0example"
}401 response
Invalid API key.
errorsarrayDetailed validation issues. Absent only for the historical 401 API-key envelope.
coderequiredstringZod validation issue code. Example: "invalid_format".
messagerequiredstringHuman-readable validation failure. Example: "Invalid email address".
pathrequiredstringDot-separated location of the invalid value. Example: "from".
messagerequiredstringHuman-readable error message. Example: "Request validation failed.".
namerequiredstringMachine-readable error category. Values: "validation_error", "application_error", "not_found". Example: "validation_error".
{
"emailId": "msg_01j0example"
}404 response
Requested resource was not found.
errorsarrayDetailed validation issues. Absent only for the historical 401 API-key envelope.
coderequiredstringZod validation issue code. Example: "invalid_format".
messagerequiredstringHuman-readable validation failure. Example: "Invalid email address".
pathrequiredstringDot-separated location of the invalid value. Example: "from".
messagerequiredstringHuman-readable error message. Example: "Request validation failed.".
namerequiredstringMachine-readable error category. Values: "validation_error", "application_error", "not_found". Example: "validation_error".
{
"emailId": "msg_01j0example"
}422 response
Request validation failed.
errorsarrayDetailed validation issues. Absent only for the historical 401 API-key envelope.
coderequiredstringZod validation issue code. Example: "invalid_format".
messagerequiredstringHuman-readable validation failure. Example: "Invalid email address".
pathrequiredstringDot-separated location of the invalid value. Example: "from".
messagerequiredstringHuman-readable error message. Example: "Request validation failed.".
namerequiredstringMachine-readable error category. Values: "validation_error", "application_error", "not_found". Example: "validation_error".
{
"emailId": "msg_01j0example"
}